%global __brp_check_rpaths %{nil}
%global packname  subsemble
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          An Ensemble Method for Combining Subset-Specific Algorithm Fits

License:          Apache License (== 2.0)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.14.0
Requires:         R-core >= 2.14.0
BuildArch:        noarch
BuildRequires:    R-CRAN-SuperLearner 
Requires:         R-CRAN-SuperLearner 

%description
The Subsemble algorithm is a general subset ensemble prediction method,
which can be used for small, moderate, or large datasets. Subsemble
partitions the full dataset into subsets of observations, fits a specified
underlying algorithm on each subset, and uses a unique form of k-fold
cross-validation to output a prediction function that combines the
subset-specific fits. An oracle result provides a theoretical performance
guarantee for Subsemble. The paper, "Subsemble: An ensemble method for
combining subset-specific algorithm fits" is authored by Stephanie Sapp,
Mark J. van der Laan & John Canny (2014)
<doi:10.1080/02664763.2013.864263>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
